# Class ConfirmPaymentSentRequest

#### Hierarchy

- unknown
  - ConfirmPaymentSentRequest

- Defined in src/protobuf/grpc_pb.d.ts:2432
- Defined in src/protobuf/grpc_pb.d.ts:2444

#####
Index

### Constructors

constructor

### Methods

getTradeId
serializeBinary
setTradeId
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new ConfirmPaymentSentRequest(): ConfirmPaymentSentRequest

- #### Returns ConfirmPaymentSentRequest

  Inherited from jspb.Message.constructor

## Methods

### getTradeId

- getTradeId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2433

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2436

### setTradeId

- setTradeId(value: string): ConfirmPaymentSentRequest

- #### Parameters

  - ##### value: string

  #### Returns ConfirmPaymentSentRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2434

### toObject

- toObject(includeInstance?: boolean): ConfirmPaymentSentRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns ConfirmPaymentSentRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2437

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): ConfirmPaymentSentRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ConfirmPaymentSentRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2440

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ConfirmPaymentSentRequest, reader: BinaryReader): ConfirmPaymentSentRequest

- #### Parameters

  - ##### message: ConfirmPaymentSentRequest

  - ##### reader: BinaryReader

  #### Returns ConfirmPaymentSentRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2441

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: ConfirmPaymentSentRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: ConfirmPaymentSentRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2439

### `Static` toObject

- toObject(includeInstance: boolean, msg: ConfirmPaymentSentRequest): ConfirmPaymentSentRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ConfirmPaymentSentRequest

  #### Returns ConfirmPaymentSentRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2438

Generated using TypeDoc